Summary: Displays e-mail messages matching a pattern
Name: mboxgrep
Version: 0.7.9
Release: 14%{?dist}
License: GPLv2+
Group: Applications/Internet
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0: mboxgrep-debug.diff
URL: http://www.mboxgrep.org
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: zlib-devel, bzip2-devel, pcre-devel
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description
mboxgrep is a small utility that scans a mailbox for messages matching a
basic, extended, or Perl-compatible regular expression. Selected
messages can be either displayed on standard output, counted, piped to a
command or written to another mailbox.
It supports mbox (both plain and compressed), MH, nnmh, nnml and maildir
folders.

%prep
%setup -q
%patch0 -p 1 -b .debug

%build
%configure
%{__make} %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/mboxgrep
%{_mandir}/man1/mboxgrep.1*
%{_infodir}/mboxgrep.info*

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.9-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.9-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Feb 10 2012 Petr Pisar <ppisar@redhat.com> - 0.7.9-12
- Rebuild against PCRE 8.30

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.9-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.9-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Sep 21 2008 Ville Skyttä <ville.skytta at iki.fi> - 0.7.9-7
- Fix Patch0:/%%patch mismatch.

* Thu Aug  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.7.9-6
- fix license tag

* Tue Feb 12 2008 Andreas Thienemann <athienem@redhat.com> - 0.7.9-5
- Rebuild against gcc-4.3

* Fri Nov 10 2006 Andreas Thienemann <andreas@bawue.net> - 0.7.9-4
- Fixed up debug package to actually contain debugging files

* Fri Sep 08 2006 Andreas Thienemann <andreas@bawue.net> - 0.7.9-3
- FE6 Rebuild

* Wed Mar 29 2006 Andreas Thienemann <andreas@bawue.net> 0.7.9-2
- Cleaned up for FE

* Wed May 26 2004 Andreas Thienemann <andreas@bawue.net> 0.7.9-1
- Initial RPM release.
